class TeacherInstitutionCategoriesGrid < BaseGrid


  scope do
    TeacherInstitutionCategory.all
  end

  filter(:name, :string, header: "Name") do |value|
    self.where(["teacher_institution_categories.name LIKE ?",  "%#{value}%"])
  end
  filter(:is_management, :xboolean, header: "Leitungsposition")

  column(:name, header: "Name")
  column(:is_management, header: "Leitungsposition") do |i|
    i.is_management? ? 'ja' : 'nein'
  end
  column(:actions,  header: '', style: 'width:100px', :html => true) do |i|
      "<div class='btn-group btn-group-nowrap btn-group-xs  pull-right' >
          <a href='#{edit_teacher_institution_category_path(i)}' role='button' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-pencil'></i>
          </a>
            #{ link_to  teacher_institution_category_path(i), data: {:confirm => 'Sicher?'},
             role: 'button', class: 'btn btn-danger btn-sm', :method => :delete do
             content_tag(:i, nil, class: 'glyphicon glyphicon-remove')
            end  }
      </div>".html_safe
  end


end