class UserGrid < BaseGrid


  scope do
    User.includes(:identifiable)
  end

  filter(:email, :string) do |value|
    self.where(["users.email LIKE ?",  "%#{value}%"])
  end


  column(:email, header: "Email")
  column(:actions,  header: '', style: 'width:100px', :html => true) do |i|
      "<div class='btn-group btn-group-nowrap btn-group-xs  pull-right' >
          <a href='#{edit_user_path(i)}' role='button' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-pencil'></i>
          </a>
      </div>".html_safe
  end


end