module AddressGeocoder
  class QueryFormatterFactory
    def self.createFromGeocoderQuery(query)
      if query.lookup.is_a? Geocoder::Lookup::Google
        return AddressGeocoder::QueryFormatterGoogle.new(query)
      end
      raise Exception.new "Could not find formatter class for #{query.lookup.class}"
    end

  end
end