#!/usr/bin/env puma
environment 'production'
daemonize true
pidfile "#{Dir.pwd}/tmp/pids/puma.pid"
state_path  "#{Dir.pwd}/log/puma.state"
stdout_redirect "#{Dir.pwd}/log/puma.stdout", "#{Dir.pwd}/log/puma.stderr", false
quiet true
threads 1, 4
bind 'tcp://127.0.0.1:9292'
# === Cluster mode ===
workers 2