class CreateClientGroups < ActiveRecord::Migration
  def change
    create_table :client_groups do |t|
      t.string :name
      t.text :description
      t.references :teacher, index: true, foreign_key: true
      t.references :institution, index: true, foreign_key: true
      t.date :start
      t.date :end
      t.integer :clients_count

      t.timestamps null: false
    end
  end
end
