class AddSupportersToPortfolio < ActiveRecord::Migration
  def change
    remove_column :teacher_categories, :is_external, :boolean
    create_table :evaluation_involved_supporters do |t|
      t.references :portfolio_item_evaluation, index: {name: 'idx_eis_on_pie_id'}, foreign_key: true, null: false
      t.references :supporter, index: {name: 'idx_eis_on_s_id'}, foreign_key: true, null: false
    end
    create_table :portfolio_item_involved_supporters do |t|
      t.references :portfolio_item, index: {name: 'idx_piis_on_pi_id'}, foreign_key: true, null: false
      t.references :supporter, index: {name: 'idx_piis_on_s_id'}, foreign_key: true, null: false
    end
  end
end
