class ClientDuplicateResponseGrid < BaseGrid

  scope do
    ClientDuplicateResponse.all
  end

  column(:name, header: "Gefundener Schüler",  html: true) do |c|
    "#{c.first_name}  #{c.last_name}"
  end

  column(:gender, header: "Geschlecht", html: true) do |c|
    c.gender
  end

  column(:birthday, header: "Geburtsdatum")  do |c|
    format(c.bday) do |birthday|
      l(birthday, format: :short)
    end
  end

  column(:class, header: 'Klasse', html: true) do |c|
    c.client_group_name
  end

  column(:institution, header: "Einrichtung")  do |c|
    c.institution_name
  end

  # column(:actions,  header: '', style: 'width:180px', :html => true) do |c|
  #     "<div class='btn-group btn-group-nowrap btn-group-sm pull-right' >
  #         <a href='#' role='button' class='btn btn-success '>
  #           Daten übernehmen
  #         </a>
  #     </div>".html_safe
  # end


end