module Portfolio
  module Conditions
    class SpecialEdInvolvedMatcher  < ItemMatcher


        def match?(portfolio_item)
          portfolio_item.portfolio_item_involved_teachers.each do |involved_teacher|
            #teacher.set_flags
            #return true if teacher.special_ed?
            return true if involved_teacher.teacher.teacher_category.is_special_ed? # refs  #295
          end
          return false
        end

        def description
          'sonderpädagoge muss beteiligt sein'
        end
      end
    end
end
