module Portfolio
    class ItemValidator < ::ActiveModel::Validator

      # @param portfolio_item ::Portfolio::Item
      def validate(portfolio_item)
        portfolio_item.errors[target] << message unless match? portfolio_item
      end

      # @param portfolio_item ::Portfolio::Item
      def match?(portfolio_item)
        return false
      end

      private
      # override in subclasses
      def message
        "please def message in #{self.class.name}"
      end
      # override in subclasses
      def target
        :base
      end

    end
end
