desc "Update the whole local library from csb server"

task 'vsb:update_library'  => :environment do |task,args|
    ::Diagnostic.pluck(:catalog_id).each_slice(1000) do |catalog_ids|
      CsbApi::Diagnostic.includes('diagnostic-images','diagnostic-norms','diagnostic-characteristics').where(ids: catalog_ids.join(',')).all.each do |api_result_set|
        api_result_set.populate_model(::Diagnostic.where(catalog_id: api_result_set.id).take).save
      end
    end
end

