ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'

class ActiveSupport::TestCase

  #fixtures :all

  # Add more helper methods to be used by all tests here...
  #
  #
  def single_ar_attribute_valid? ( record, attribute, value )
    record.class.validators_on(attribute).each do |validator|
      validator.validate_each(record, attribute, value )
    end
    record.errors[attribute].empty?
  end
end

class ActionController::TestCase
  include Devise::Test::ControllerHelpers
end
